import android.content.Context
import android.content.Context.MODE_PRIVATE
import com.example.randomtaskmobile.R

class GlobalSharedPreferences(context: Context) {
    private val settings = context.getSharedPreferences(context.getString(R.string.app_name), MODE_PRIVATE)

    private val editor = settings.edit()
    var firstStartApp
        get() = settings.getBoolean("first_start", true)
        set(value) {
            editor.putBoolean("first_start", value)
            editor.apply()
        }
}